AC_INIT()

AC_ARG_ENABLE([debugging], 	 [  --enable-debugging                enable -g when compiling ])
AC_ARG_ENABLE([reducedanalysis], [  --enable-reducedanalysis          reduce the amount of in-depth analysis (useful for large programs that exhaust memory)])



AC_CANONICAL_HOST

EXTRA_CFLAGS=-O3

if test "$enable_debugging" = yes; then 
	EXTRA_CFLAGS=-g
fi

if test "$enable_reducedanalysis" = yes; then 
	EXTRA_CFLAGS="${EXTRA_CFLAGS} -DSMP_REDUCED_ANALYSIS"
fi

AC_SUBST(EXTRA_CFLAGS)
AC_OUTPUT(Makefile)
